Skip to content
Ona Docs

CreateEnvironmentLogsToken

POST/gitpod.v1.EnvironmentService/CreateEnvironmentLogsToken

Creates an access token for retrieving environment logs.

Generated tokens are valid for one hour and provide read-only access to the environment’s logs.

Examples

  • Generate logs token:

    Creates a temporary access token for retrieving environment logs.

    environmentId: "07e03a28-65a5-4d98-b532-8ea67b188048"
Body ParametersJSONExpand Collapse
environmentId: optional string

environment_id specifies the environment for which the logs token should be created.

+required

formatuuid
ReturnsExpand Collapse
accessToken: string

access_token is the token that can be used to access the logs of the environment

CreateEnvironmentLogsToken

curl https://app.gitpod.io/api/gitpod.v1.EnvironmentService/CreateEnvironmentLogsToken \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "accessToken": "accessToken"
}
Returns Examples
{
  "accessToken": "accessToken"
}